GNU bug report logs - #36932
25.2; vc-rename-file does NOT handle ~ in paths

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christian Seberino <cseberino@HIDDEN>; dated Mon, 5 Aug 2019 15:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36932 <at> debbugs.gnu.org:


Received: (at 36932) by debbugs.gnu.org; 5 Aug 2019 19:59:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 15:59:56 2019
Received: from localhost ([127.0.0.1]:35915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huj9A-0007Es-2h
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 15:59:56 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:32958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cseberino@HIDDEN>) id 1huj98-0007Ec-2P
 for 36932 <at> debbugs.gnu.org; Mon, 05 Aug 2019 15:59:54 -0400
Received: by mail-qt1-f182.google.com with SMTP id r6so77978638qtt.0
 for <36932 <at> debbugs.gnu.org>; Mon, 05 Aug 2019 12:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=NP7WDjhmOXYtYUNgId9mJb6M4cBQE1rmUS7mGRjDHGo=;
 b=cBP5SIHABZWhjvpv4SQe9qOPT/2WbqqgkiUsbwKA80NNq5pLNacqKP+y5ApFIxNTwc
 Fl5AymhgMsy1G2XVfWTFM5fQfEPnVxj573/WQJd0HQeHO4mxUsFyyznHvpXy06JeUq3A
 hwnHDkGWk8adhlEiLQ/X/STjrKloD0QaZl+ml5Blz82WxWSH9eSbUJsSsGOpGGV578Ho
 oyjjgt0zhw8ffDdiY4rnRiG6kUds7t17qtPPqjasUqpjaR9QgXRDcg4nvQAzeHP6clD0
 XeH1e43Dn09B4UzjWUNPV+8Z9JVrnCCiYG0pmQPspogCM8u/kmU631PRUYLQxdjbif6X
 3SQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=NP7WDjhmOXYtYUNgId9mJb6M4cBQE1rmUS7mGRjDHGo=;
 b=DOJ+eP4Rp+Tv7U83G4wnZ40e3pOE+VcX7ahzJfdIN5JizPrYGhHW9BhysgEmKf2Lw0
 onJANmaYzI2xzVPQNW/VS4W0MuPtyGtaWRQrFs58/5IIqRpIVh5TXQenYzPp4MAM0HH1
 YmTNQEM3YCG8aJJi8Wc+Dd0YSjIqrtpUNP0xg+7fysMVpfdmo1JpUym0AIVCMEhUgeVK
 qbjLePkVZImSrxnEekfYe64WOeYtTbH1X1/TtgWbQe+/2JSBWon43IIxOCjCsxE15Z8A
 kKdsThpLpSl09dPcNwJCStyyQia3th45ltJCxm3k0ZgPbLSshUCYQsnCzEgBKw9j2Wpr
 C6EQ==
X-Gm-Message-State: APjAAAVdlqtqV8bXMs2Q3Kcs2wXUMGzAaizZAkU4nW4nu+aZkIXL33P+
 491axb2144sDGNPvI7QH8MEHaYfZZlWz8QpnNbw+Lr3/9u4=
X-Google-Smtp-Source: APXvYqxAyXLimmGuaAU/RXDPKOQdfMlIXqzlzseAKPlN91IIRBW3xJ8mPRar67wvWpmL+7vckYV39YdL4B+03N9xmtk=
X-Received: by 2002:ac8:47d5:: with SMTP id d21mr50729110qtr.360.1565035188107; 
 Mon, 05 Aug 2019 12:59:48 -0700 (PDT)
MIME-Version: 1.0
From: Christian Seberino <cseberino@HIDDEN>
Date: Mon, 5 Aug 2019 14:59:37 -0500
Message-ID: <CAG5-5iJAK2XHHWLUifB3e3ykOWjD+AV7TP+_N3CeqhNDAVBUEg@HIDDEN>
Subject: Just tested and this vc-rename-file bug only applies to Mercurial!
 Git works fine with ~!
To: 36932 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000072c35b058f64267e"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36932
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000072c35b058f64267e
Content-Type: text/plain; charset="UTF-8"

Just tested and this vc-rename-file bug only applies to Mercurial!  Git
works fine with ~!

--00000000000072c35b058f64267e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div dir=3D"ltr" class=3D"gmail_signature" data-smart=
mail=3D"gmail_signature"><div dir=3D"ltr"><div>Just tested and this vc-rena=
me-file bug only applies to Mercurial!=C2=A0 Git works fine with ~!<br></di=
v></div></div></div></div>

--00000000000072c35b058f64267e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36932; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2019 15:56:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 11:56:07 2019
Received: from localhost ([127.0.0.1]:35704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hufLD-0007H8-5J
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:56:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:37220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cseberino@HIDDEN>) id 1hufEp-00076H-6f
 for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:49:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55994)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <cseberino@HIDDEN>) id 1hufEn-0000iS-95
 for bug-gnu-emacs@HIDDEN; Mon, 05 Aug 2019 11:49:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cseberino@HIDDEN>) id 1hufEl-0005Fy-Bc
 for bug-gnu-emacs@HIDDEN; Mon, 05 Aug 2019 11:49:29 -0400
Received: from mail-qk1-x72a.google.com ([2607:f8b0:4864:20::72a]:36204)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <cseberino@HIDDEN>) id 1hufEl-0005FX-3h
 for bug-gnu-emacs@HIDDEN; Mon, 05 Aug 2019 11:49:27 -0400
Received: by mail-qk1-x72a.google.com with SMTP id g18so60439046qkl.3
 for <bug-gnu-emacs@HIDDEN>; Mon, 05 Aug 2019 08:49:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=WSqqQTaNKAEgr7fyV9AFXXaP8vtUI50Jhh1BLoPv7SQ=;
 b=lY9sHVOW5ZmOtmsayl9sUwqLhDSev8OE8IIoOSOuk1BuRwp4q+JJXHWVIrS6kjY52j
 TZE0I7T3dc0AVEJGruqYRAZ/1QG6ouwizOVCOr+tR7fYfosAQQvQoDaHePwqhP6k9eRM
 ClStL3vH4Uk2rPiObI/Gfbe1p2de2QfZSdV3CEWqrcCwoISR18zlu6PA1I6Jjo+9iDV9
 gOZGai8meSRiniFye2Ow6g16uKjVrlvm+x3KbCKSLuq1l3RZcZb8oPpBOOos22hWg1I0
 3WFtetwyWPysGr7jQMtdQ+1yGMb2HtxpEBqC0mUMr2yLjPj2KyI51A2XfWb1Dom9vEiG
 kRsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=WSqqQTaNKAEgr7fyV9AFXXaP8vtUI50Jhh1BLoPv7SQ=;
 b=I5XUqHBV1ebRwOCS/YMw+xfwrbjWuV6mSbBBFE88uUQIJD7kZkYZZ22Q0RvAZ54j3J
 oICBwNTrfE1Mia/0I4ErWgURmHBv3PvdopB1LLxnE7Cd8ySZZk1M4kEtDB2FeVai2Ixv
 nOTKQ7DIf3AcnZr+h5Yg5Ry9Du/GKPIqisJ5ho0UySoPg3l5Gd/Lh47DWiQOgZditaoT
 0Z8N7M2ArOZCpE+Bk6jS09HFzAp/9zJZ79RuA5OXjFJZPxdsEdzTkaUodL2VqjLa0T+p
 DTvYFipNA2W8rpHj0ACBkdFYc4qZnYCp5fMp81gJh+18YPn2zOaWny82qPvQOl3reXwd
 84bw==
X-Gm-Message-State: APjAAAVZzfcSujTYuL5AwBPfcvVzBJY2JvxjienyIw8WmjjvnMdZvHHD
 Q6VzSpH9GDY4suCaeMzRJG6gPjsWVZb3BJ7QC0xriJAmW40=
X-Google-Smtp-Source: APXvYqwW+ULA1REV0zcHm6c3vgzDVu5s0cnRu5i2zddxiL35EcZLEVDBn/IuGEDEiaWykwAJKBfnvCyrEbjJ9tQ2SKY=
X-Received: by 2002:a37:bd7:: with SMTP id 206mr102756344qkl.440.1565020165548; 
 Mon, 05 Aug 2019 08:49:25 -0700 (PDT)
MIME-Version: 1.0
From: Christian Seberino <cseberino@HIDDEN>
Date: Mon, 5 Aug 2019 10:49:17 -0500
Message-ID: <CAG5-5iLTHarKymd1GZt=3-VxsA_GPiATeSaDtKZHXVRVKMnZrQ@HIDDEN>
Subject: 25.2; vc-rename-file does NOT handle ~ in paths
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000008b4e7058f60a73d"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::72a
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 05 Aug 2019 11:56:06 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000008b4e7058f60a73d
Content-Type: text/plain; charset="UTF-8"

----------------------------------------------------------------------------------------------------------------
To recreate problem:
----------------------------------------------------------------------------------------------------------------

1. "emacs -q some_file"  where some_file is a file in a directory under
version control.
           ( verified this bug with Mercurial.)
2. M-x vc-rename-file
3. Select a file to rename by appending to the current directory path shown.
4. Select new file path and name.

----------------------------------------------------------------------------------------------------------------
Problem
----------------------------------------------------------------------------------------------------------------

The above steps will lead to a new windows displaying the file path name
trying
to change with the following error after it:

No such file or directory
abort: no files to copy


------------------------

The problem goes away if the ~ is removed from the original file path in
step #3 above.
Ironically, ~ is ok in step #4 above.






In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
 of 2017-09-22, modified by Debian built on lgw01-amd64-050
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.1 LTS

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --build x86_64-linux-gnu
 --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-x=yes --with-x-toolkit=gtk3
 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs25-jYekUr/emacs25-25.2+1=.
-fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading 00debian-vars...done
Loading /etc/emacs/site-start.d/50autoconf.el (source)...done
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
Loading debian-ispell...
Loading /var/cache/dictionaries-common/emacsen-ispell-default.el
(source)...done
Loading debian-ispell...done
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el
(source)...done
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
Loading /etc/emacs/site-start.d/50python-docutils.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
vc-do-command: Running hg mv ~/Ws/Wb/erase/pp2 pp3...FAILED (status 255)

Load-path shadows:
/usr/share/emacs/25.2/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/site-lisp/rst hides
/usr/share/emacs/25.2/lisp/textmodes/rst

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
mail-prsvr mail-utils vc cl-loaddefs pcase cl-lib vc-dispatcher vc-hg
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 93065 8742)
 (symbols 48 20393 0)
 (miscs 40 775 146)
 (strings 32 16682 4987)
 (string-bytes 1 489323)
 (vectors 16 13009)
 (vector-slots 8 449947 6218)
 (floats 8 168 108)
 (intervals 56 287 0)
 (buffers 976 20))

--00000000000008b4e7058f60a73d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr" class=3D"gmail_signature" data-smartmail=
=3D"gmail_signature"><div dir=3D"ltr"><div>--------------------------------=
---------------------------------------------------------------------------=
-----=C2=A0=C2=A0<br>To recreate problem:</div><div>-----------------------=
---------------------------------------------------------------------------=
--------------</div><div><br></div><div>1. &quot;emacs -q some_file&quot;=
=C2=A0 where some_file is a file in a directory under version control.</div=
><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0( verified this bug with Mer=
curial.)</div><div>2. M-x vc-rename-file</div><div>3. Select a file to rena=
me by appending to the current directory path shown.</div><div>4. Select ne=
w file path and name.</div><div><br></div><div>----------------------------=
---------------------------------------------------------------------------=
---------=C2=A0=C2=A0<br></div><div>Problem</div><div>---------------------=
---------------------------------------------------------------------------=
----------------=C2=A0=C2=A0<br></div><div><br></div><div>The above steps w=
ill lead to a new windows displaying the file path name trying</div><div>to=
 change with the following error after it:</div><div><br></div><div>No such=
 file or directory<br>abort: no files to copy<br></div><div><br></div><div>=
<br></div><div>------------------------</div><div><br></div><div>The proble=
m goes away if the ~ is removed from the original file path in step #3 abov=
e.</div><div>Ironically, ~ is ok in step #4 above.</div><div><br></div><div=
><br><br><br><br><br>In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version=
 3.22.21)<br>=C2=A0of 2017-09-22, modified by Debian built on lgw01-amd64-0=
50<br>Windowing system distributor &#39;The X.Org Foundation&#39;, version =
11.0.11906000<br>System Description:	Ubuntu 18.04.1 LTS<br><br>Configured u=
sing:<br>=C2=A0&#39;configure --build x86_64-linux-gnu --prefix=3D/usr<br>=
=C2=A0--sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib<br>=C2=A0--locals=
tatedir=3D/var/lib --infodir=3D/usr/share/info<br>=C2=A0--mandir=3D/usr/sha=
re/man --with-pop=3Dyes<br>=C2=A0--enable-locallisppath=3D/etc/emacs25:/etc=
/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-li=
sp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp<br>=C2=A0--wi=
th-sound=3Dalsa --without-gconf --build x86_64-linux-gnu<br>=C2=A0--prefix=
=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib<br>=C2=A0--loca=
lstatedir=3D/var/lib --infodir=3D/usr/share/info<br>=C2=A0--mandir=3D/usr/s=
hare/man --with-pop=3Dyes<br>=C2=A0--enable-locallisppath=3D/etc/emacs25:/e=
tc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-=
lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp<br>=C2=A0--=
with-sound=3Dalsa --without-gconf --with-x=3Dyes --with-x-toolkit=3Dgtk3<br=
>=C2=A0--with-toolkit-scroll-bars &#39;CFLAGS=3D-g -O2<br>=C2=A0-fdebug-pre=
fix-map=3D/build/emacs25-jYekUr/emacs25-25.2+1=3D. -fstack-protector-strong=
<br>=C2=A0-Wformat -Werror=3Dformat-security -Wall&#39; &#39;CPPFLAGS=3D-Wd=
ate-time<br>=C2=A0-D_FORTIFY_SOURCE=3D2&#39; &#39;LDFLAGS=3D-Wl,-Bsymbolic-=
functions -Wl,-z,relro&#39;&#39;<br><br>Configured features:<br>XPM JPEG TI=
FF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY<br>ACL LIBSELIN=
UX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB<br>TOOLKIT_SCROLL_BARS =
GTK3 X11<br><br>Important settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<b=
r>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=A0 locale-coding-system: u=
tf-8-unix<br><br>Major mode: Fundamental<br><br>Minor modes in effect:<br>=
=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-in=
dent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=
=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global=
-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode:=
 t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=
=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 tra=
nsient-mark-mode: t<br><br>Recent messages:<br>Loading 00debian-vars...done=
<br>Loading /etc/emacs/site-start.d/50autoconf.el (source)...done<br>Loadin=
g /etc/emacs/site-start.d/50dictionaries-common.el (source)...<br>Loading d=
ebian-ispell...<br>Loading /var/cache/dictionaries-common/emacsen-ispell-de=
fault.el (source)...done<br>Loading debian-ispell...done<br>Loading /var/ca=
che/dictionaries-common/emacsen-ispell-dicts.el (source)...done<br>Loading =
/etc/emacs/site-start.d/50dictionaries-common.el (source)...done<br>Loading=
 /etc/emacs/site-start.d/50python-docutils.el (source)...done<br>For inform=
ation about GNU Emacs and the GNU system, type C-h C-a.<br>vc-do-command: R=
unning hg mv ~/Ws/Wb/erase/pp2 pp3...FAILED (status 255)<br><br>Load-path s=
hadows:<br>/usr/share/emacs/25.2/site-lisp/debian-startup hides /usr/share/=
emacs/site-lisp/debian-startup<br>/usr/share/emacs/site-lisp/rst hides /usr=
/share/emacs/25.2/lisp/textmodes/rst<br><br>Features:<br>(shadow sort mail-=
extr emacsbug message dired format-spec rfc822 mml<br>mml-sec password-cach=
e epg epg-config gnus-util mm-decode mm-bodies<br>mm-encode mail-parse rfc2=
231 mailabbrev gmm-utils mailheader sendmail<br>rfc2047 rfc2045 ietf-drums =
mm-util help-fns help-mode easymenu<br>mail-prsvr mail-utils vc cl-loaddefs=
 pcase cl-lib vc-dispatcher vc-hg<br>time-date mule-util tooltip eldoc elec=
tric uniquify ediff-hook vc-hooks<br>lisp-float-type mwheel x-win term/comm=
on-win x-dnd tool-bar dnd fontset<br>image regexp-opt fringe tabulated-list=
 newcomment elisp-mode lisp-mode<br>prog-mode register page menu-bar rfn-es=
hadow timer select scroll-bar<br>mouse jit-lock font-lock syntax facemenu f=
ont-core frame cl-generic cham<br>georgian utf-8-lang misc-lang vietnamese =
tibetan thai tai-viet lao<br>korean japanese eucjp-ms cp51932 hebrew greek =
romanian slovak czech<br>european ethiopic indian cyrillic chinese charscri=
pt case-table epa-hook<br>jka-cmpr-hook help simple abbrev minibuffer cl-pr=
eloaded nadvice<br>loaddefs button faces cus-face macroexp files text-prope=
rties overlay<br>sha1 md5 base64 format env code-pages mule custom widget<b=
r>hashtable-print-readable backquote dbusbind inotify dynamic-setting<br>sy=
stem-font-setting font-render-setting move-toolbar gtk x-toolkit x<br>multi=
-tty make-network-process emacs)<br><br>Memory information:<br>((conses 16 =
93065 8742)<br>=C2=A0(symbols 48 20393 0)<br>=C2=A0(miscs 40 775 146)<br>=
=C2=A0(strings 32 16682 4987)<br>=C2=A0(string-bytes 1 489323)<br>=C2=A0(ve=
ctors 16 13009)<br>=C2=A0(vector-slots 8 449947 6218)<br>=C2=A0(floats 8 16=
8 108)<br>=C2=A0(intervals 56 287 0)<br>=C2=A0(buffers 976 20))<br><br></di=
v></div></div></div>

--00000000000008b4e7058f60a73d--




Acknowledgement sent to Christian Seberino <cseberino@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36932; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Aug 2019 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.